Patchwork qt5: Need pcre with UTF support

login
register
mail settings
Submitter Jérôme Pouiller
Date July 16, 2014, 4:05 p.m.
Message ID <1405526707-32091-1-git-send-email-jezz@sysmic.org>
Download mbox | patch
Permalink /patch/370787/
State Accepted
Headers show

Comments

Jérôme Pouiller - July 16, 2014, 4:05 p.m.
Enabling PCRE16 is not enough for Qt5. PCREUTF is also necessary, else
Qt5 may complain with this kind of (non fatal) message:
  QRegularExpressionPrivate::doMatch(): called on an invalid QRegularExpression object

Signed-off-by: Jérôme Pouiller <jezz@sysmic.org>
---
 package/qt5/qt5base/Config.in | 1 +
 1 file changed, 1 insertion(+)
Thomas Petazzoni - July 27, 2014, 8:55 p.m.
Dear Jérôme Pouiller,

On Wed, 16 Jul 2014 18:05:07 +0200, Jérôme Pouiller wrote:
> Enabling PCRE16 is not enough for Qt5. PCREUTF is also necessary, else
> Qt5 may complain with this kind of (non fatal) message:
>   QRegularExpressionPrivate::doMatch(): called on an invalid QRegularExpression object
> 
> Signed-off-by: Jérôme Pouiller <jezz@sysmic.org>
> ---
>  package/qt5/qt5base/Config.in | 1 +
>  1 file changed, 1 insertion(+)

Applied, thanks.

Thomas

Patch

diff --git a/package/qt5/qt5base/Config.in b/package/qt5/qt5base/Config.in
index 632711c..9f3d27c 100644
--- a/package/qt5/qt5base/Config.in
+++ b/package/qt5/qt5base/Config.in
@@ -3,6 +3,7 @@  config BR2_PACKAGE_QT5BASE
 	select BR2_PACKAGE_ZLIB
 	select BR2_PACKAGE_PCRE
 	select BR2_PACKAGE_PCRE_16
+	select BR2_PACKAGE_PCRE_UTF
 	help
 	  Qt is a cross-platform application and UI framework for
 	  developers using C++.